Page MenuHomePhabricator

Make original's sha1 part of thumbnail URLs + enable far-future expires
Closed, DeclinedPublic

Description

This is an optional part of the thumbor release. It would have to be applied only to places where the new varnish 4 + thumbor stack is used.

Event Timeline

Gilles created this task.Dec 14 2015, 12:44 PM
Gilles claimed this task.
Gilles raised the priority of this task from to Medium.
Gilles updated the task description. (Show Details)
Gilles added projects: Performance-Team, Thumbor.
Gilles moved this task from Inbox to Backlog: Small & Maintenance on the Performance-Team board.
Gilles added subscribers: Aklapper, Gilles, StudiesWorld.
Krinkle added a subscriber: Krinkle.Feb 3 2016, 3:39 PM

How does this relate to T19577? – What does it mean to do this as part of Thumbor release?

The Thumbor release doesn't depend on this. We could do it now, even, we'd just have to tweak the thumbnail url scheme slightly through the whole stack.

Regarding T19577, timestamp-based versioning tends to be fragile in my experience. Particularly in a clustered environment where separate DCs could race on generating the same thing.

Gilles lowered the priority of this task from Medium to Low.Feb 10 2016, 8:15 PM
Gilles closed this task as Declined.Oct 13 2016, 5:50 AM

We should revisit this later. I think that a new service replacing rewrite.py and subsequent changes to the url scheme would be more appropriate.